%define section devel

Summary:        Easy Hibernate Cache Bootstrap
Name:           ehcache-bootstrap
Version:        2.1.6.1.1
Release:        1jpp
Epoch:          0
License:        LGPL
URL:            http://ehcache.sourceforge.net/
# also URL:            http://www.hibernate.org/
Group:          Development/Libraries/Java
Vendor:         JPackage Project
Distribution:   JPackage
Source0:        ehcache-1.1.tar.gz
# cvs -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/ehcache login
# cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/ehcache export -r RELEASE_1_1 ehcache
Source1:        hibernate-2.1.6.tar.gz
Patch0:         ehcache-bootstrap-build_xml.patch
#Patch1:         ehcache-ObjectExistsException.patch
BuildRequires:  jpackage-utils >= 0:1.6
BuildRequires:  junit
BuildRequires:  ant >= 0:1.6
BuildRequires:  antlr
BuildRequires:  asm
BuildRequires:  aspectwerkz
BuildRequires:  c3p0
BuildRequires:  cglib
BuildRequires:  checkstyle
BuildRequires:  concurrent 
BuildRequires:  jakarta-commons-beanutils
BuildRequires:  jakarta-commons-collections
BuildRequires:  jakarta-commons-configuration
BuildRequires:  jakarta-commons-dbcp
BuildRequires:  jakarta-commons-lang
BuildRequires:  jakarta-commons-logging
BuildRequires:  jakarta-commons-pool
BuildRequires:  odmg >= 0:3.0
BuildRequires:  hsqldb >= 0:1.72
BuildRequires:  j2ee-connector
BuildRequires:  jaas
BuildRequires:  javagroups
BuildRequires:  jdbc-stdext
BuildRequires:  jisp2
BuildRequires:  jta
BuildRequires:  mx4j
BuildRequires:  oscache
BuildRequires:  proxool
BuildRequires:  swarmcache
BuildRequires:  jakarta-jcs
BuildRequires:  jboss4-cache >= 0:4.0.1
BuildRequires:  jboss4-common >= 0:4.0.1
BuildRequires:  jboss4-jmx >= 0:4.0.1
BuildRequires:  jboss4-system >= 0:4.0.1
BuildRequires:  velocity
BuildRequires:  dom4j
BuildRequires:  jaxen >= 0:1.1
BuildRequires:  regexp
BuildRequires:  xalan-j2
BuildRequires:  xmlrpc
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:  asm
Requires:  aspectwerkz
Requires:  c3p0
Requires:  cglib
Requires:  checkstyle
Requires:  concurrent
Requires:  jakarta-commons-beanutils
Requires:  jakarta-commons-collections
Requires:  jakarta-commons-configuration
Requires:  jakarta-commons-dbcp
Requires:  jakarta-commons-lang
Requires:  jakarta-commons-logging
Requires:  jakarta-commons-pool
Requires:  odmg >= 0:3.0
Requires:  hsqldb >= 0:1.72
Requires:  j2ee-connector
Requires:  jaas
Requires:  javagroups
Requires:  jdbc-stdext
Requires:  jisp2
Requires:  jta
Requires:  mx4j
Requires:  oscache
Requires:  proxool
Requires:  swarmcache
Requires:  jakarta-jcs
Requires:  jboss4-cache >= 0:4.0.1
Requires:  jboss4-common >= 0:4.0.1
Requires:  jboss4-jmx >= 0:4.0.1
Requires:  jboss4-system>= 0:4.0.1
Requires:  velocity
Requires:  dom4j
Requires:  jaxen >= 0:1.1
Requires:  regexp
Requires:  xalan-j2
Requires:  xmlrpc
Requires:  xerces-j2
Requires:  xml-commons-apis
Provides:  hibernate_in_process_cache
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Use this package only for your first build 
of hibernate.
In all other cases use ehcache

%prep
%setup -q -n ehcache
cp build.xml build.xml.sav
gzip -dc %{SOURCE1} | tar -xf - 

cp -pr hibernate-2.1/src/* src/java
rm -rf hibernate-2.1
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%patch0
#%patch1

%build
export OPT_JAR_LIST="antlr checkstyle checkstyle-optional"
export CLASSPATH=$(build-classpath \
asm/asm \
aspectwerkz \
c3p0 \
cglib \
concurrent \
commons-beanutils \
commons-collections \
commons-configuration \
commons-dbcp \
commons-lang \
commons-logging \
commons-pool \
odmg \
hsqldb \
j2ee-connector \
jaas \
javagroups \
jboss4/jboss-cache \
jboss4/jboss-common \
jboss4/jboss-jmx \
jboss4/jboss-system \
jdbc-stdext \
jisp2 \
jta \
mx4j/mx4j-jmx \
oscache \
proxool \
swarmcache \
jcs \
velocity \
xalan-j2 \
xmlrpc-1.2 \
antlr \
checkstyle \
dom4j \
jaxen \
odmg \
regexp \
xerces-j2 \
xml-commons-apis \
junit)
CLASSPATH=build/classes:$CLASSPATH
ant -Dbuild.sysclasspath=first dist-jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p build/dist/ehcache-1.1.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} 
  ln -sf %{name}-%{version}.jar %{name}.jar
  ln -sf %{name}.jar ehcache.jar
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar

%changelog
* Tue Nov 01 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6.1.1-1jpp
- Upgrade to ehcache-1.1
- Change requires from jakarta-turbine-jcs to jakarta-jcs

* Wed Aug 17 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6.1.0-3jpp
- Change requires to jboss4-cache and jboss4-system
- Add require for jboss4-common and jboss4-jmx

* Sat Jul 09 2005 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6.1.0-2jpp
- Inhibit failure on checkstyle

* Tue Dec 14 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6.1.0-1jpp
- Upgrade to 1.0
- Require versioned ant

* Mon Sep 13 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.6.0.9-1jpp
- Drop saxpath requirements
- Require jaxen >= 0:1.1
- Upgrade to 0.9
- Build for hibernate-2.1.6

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4.0.8-3jpp
- Build with ant-1.6.2
- Require unversioned ant

* Fri Jul 02 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4.0.8-2jpp
- Relax some versioned dependencies
- Provide hibernate_in_process_cache but no update-alternatives

* Tue Jun 08 2004 Ralph Apel <r.apel at r-apel.de> - 0:2.1.4.0.8-1jpp
- First JPackage release.
